<?php



$tdataw_aporte_credito = array();
$tdataw_aporte_credito[".searchableFields"] = array();
$tdataw_aporte_credito[".ShortName"] = "w_aporte_credito";
$tdataw_aporte_credito[".OwnerID"] = "";
$tdataw_aporte_credito[".OriginalTable"] = "tb_aporte_fin";


$tdataw_aporte_credito[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataw_aporte_credito[".originalPagesByType"] = $tdataw_aporte_credito[".pagesByType"];
$tdataw_aporte_credito[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataw_aporte_credito[".originalPages"] = $tdataw_aporte_credito[".pages"];
$tdataw_aporte_credito[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataw_aporte_credito[".originalDefaultPages"] = $tdataw_aporte_credito[".defaultPages"];

//	field labels
$fieldLabelsw_aporte_credito = array();
$fieldToolTipsw_aporte_credito = array();
$pageTitlesw_aporte_credito = array();
$placeHoldersw_aporte_credito = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"] = array();
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"] = array();
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"] = array();
	$pageTitlesw_aporte_credito["Portuguese(Brazil)"] = array();
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["aporteID"] = "Aporte ID";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["aporteID"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["aporteID"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["data"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["investidor"] = "Investidor";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["investidor"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["investidor"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["Aporte_credito"] = "Aporte Credito";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["Aporte_credito"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["Aporte_credito"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["vencimento"] = "Vencimento";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["vencimento"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["vencimento"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["quitado"] = "Quitado";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["quitado"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["quitado"] = "";
	$fieldLabelsw_aporte_credito["Portuguese(Brazil)"]["data_quitacao"] = "Data Quitacao";
	$fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]["data_quitacao"] = "";
	$placeHoldersw_aporte_credito["Portuguese(Brazil)"]["data_quitacao"] = "";
	if (count($fieldToolTipsw_aporte_credito["Portuguese(Brazil)"]))
		$tdataw_aporte_credito[".isUseToolTips"] = true;
}


	$tdataw_aporte_credito[".NCSearch"] = true;


	$tdataw_aporte_credito[".scrollGridBody"] = true;

$tdataw_aporte_credito[".shortTableName"] = "w_aporte_credito";
$tdataw_aporte_credito[".nSecOptions"] = 0;

$tdataw_aporte_credito[".mainTableOwnerID"] = "";
$tdataw_aporte_credito[".entityType"] = 1;

$tdataw_aporte_credito[".strOriginalTableName"] = "tb_aporte_fin";

	



$tdataw_aporte_credito[".showAddInPopup"] = false;

$tdataw_aporte_credito[".showEditInPopup"] = false;

$tdataw_aporte_credito[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataw_aporte_credito[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataw_aporte_credito[".listAjax"] = false;
//	temporary
$tdataw_aporte_credito[".listAjax"] = false;

	$tdataw_aporte_credito[".audit"] = false;

	$tdataw_aporte_credito[".locking"] = false;


$pages = $tdataw_aporte_credito[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataw_aporte_credito[".edit"] = true;
	$tdataw_aporte_credito[".afterEditAction"] = 0;
	$tdataw_aporte_credito[".closePopupAfterEdit"] = 1;
	$tdataw_aporte_credito[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdataw_aporte_credito[".add"] = true;
$tdataw_aporte_credito[".afterAddAction"] = 0;
$tdataw_aporte_credito[".closePopupAfterAdd"] = 1;
$tdataw_aporte_credito[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataw_aporte_credito[".list"] = true;
}



$tdataw_aporte_credito[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataw_aporte_credito[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataw_aporte_credito[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataw_aporte_credito[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataw_aporte_credito[".printFriendly"] = true;
}



$tdataw_aporte_credito[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataw_aporte_credito[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataw_aporte_credito[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataw_aporte_credito[".isUseAjaxSuggest"] = true;

$tdataw_aporte_credito[".rowHighlite"] = true;





$tdataw_aporte_credito[".ajaxCodeSnippetAdded"] = false;

$tdataw_aporte_credito[".buttonsAdded"] = false;

$tdataw_aporte_credito[".addPageEvents"] = false;

// use timepicker for search panel
$tdataw_aporte_credito[".isUseTimeForSearch"] = false;


$tdataw_aporte_credito[".badgeColor"] = "D2AF80";


$tdataw_aporte_credito[".allSearchFields"] = array();
$tdataw_aporte_credito[".filterFields"] = array();
$tdataw_aporte_credito[".requiredSearchFields"] = array();

$tdataw_aporte_credito[".googleLikeFields"] = array();
$tdataw_aporte_credito[".googleLikeFields"][] = "aporteID";
$tdataw_aporte_credito[".googleLikeFields"][] = "data";
$tdataw_aporte_credito[".googleLikeFields"][] = "investidor";
$tdataw_aporte_credito[".googleLikeFields"][] = "Aporte_credito";
$tdataw_aporte_credito[".googleLikeFields"][] = "vencimento";
$tdataw_aporte_credito[".googleLikeFields"][] = "quitado";
$tdataw_aporte_credito[".googleLikeFields"][] = "data_quitacao";



$tdataw_aporte_credito[".tableType"] = "list";

$tdataw_aporte_credito[".printerPageOrientation"] = 0;
$tdataw_aporte_credito[".nPrinterPageScale"] = 100;

$tdataw_aporte_credito[".nPrinterSplitRecords"] = 40;

$tdataw_aporte_credito[".geocodingEnabled"] = false;










$tdataw_aporte_credito[".pageSize"] = 20;

$tdataw_aporte_credito[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataw_aporte_credito[".strOrderBy"] = $tstrOrderBy;

$tdataw_aporte_credito[".orderindexes"] = array();

$tdataw_aporte_credito[".sqlHead"] = "SELECT aporteID,  	`data`,  	investidor,  	sum(valor_credito) as Aporte_credito,  	vencimento,  	quitado,  	data_quitacao";
$tdataw_aporte_credito[".sqlFrom"] = "FROM tb_aporte_fin";
$tdataw_aporte_credito[".sqlWhereExpr"] = "quitado=0";
$tdataw_aporte_credito[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataw_aporte_credito[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataw_aporte_credito[".arrGroupsPerPage"] = $arrGPP;

$tdataw_aporte_credito[".highlightSearchResults"] = true;

$tableKeysw_aporte_credito = array();
$tableKeysw_aporte_credito[] = "aporteID";
$tdataw_aporte_credito[".Keys"] = $tableKeysw_aporte_credito;


$tdataw_aporte_credito[".hideMobileList"] = array();




//	aporteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "aporteID";
	$fdata["GoodName"] = "aporteID";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","aporteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "aporteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aporteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["aporteID"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "aporteID";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["data"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "data";
//	investidor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "investidor";
	$fdata["GoodName"] = "investidor";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","investidor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "investidor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "investidor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["investidor"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "investidor";
//	Aporte_credito
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Aporte_credito";
	$fdata["GoodName"] = "Aporte_credito";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","Aporte_credito");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Aporte_credito";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sum(valor_credito)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["Aporte_credito"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "Aporte_credito";
//	vencimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "vencimento";
	$fdata["GoodName"] = "vencimento";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","vencimento");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "vencimento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vencimento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 0;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["vencimento"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "vencimento";
//	quitado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "quitado";
	$fdata["GoodName"] = "quitado";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","quitado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "quitado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quitado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["quitado"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "quitado";
//	data_quitacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "data_quitacao";
	$fdata["GoodName"] = "data_quitacao";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("w_aporte_credito","data_quitacao");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_quitacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_quitacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 0;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataw_aporte_credito["data_quitacao"] = $fdata;
		$tdataw_aporte_credito[".searchableFields"][] = "data_quitacao";


$tables_data["w_aporte_credito"]=&$tdataw_aporte_credito;
$field_labels["w_aporte_credito"] = &$fieldLabelsw_aporte_credito;
$fieldToolTips["w_aporte_credito"] = &$fieldToolTipsw_aporte_credito;
$placeHolders["w_aporte_credito"] = &$placeHoldersw_aporte_credito;
$page_titles["w_aporte_credito"] = &$pageTitlesw_aporte_credito;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["w_aporte_credito"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["w_aporte_credito"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_w_aporte_credito()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "aporteID,  	`data`,  	investidor,  	sum(valor_credito) as Aporte_credito,  	vencimento,  	quitado,  	data_quitacao";
$proto0["m_strFrom"] = "FROM tb_aporte_fin";
$proto0["m_strWhere"] = "quitado=0";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "quitado=0";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "quitado",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "=0";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "aporteID",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto6["m_sql"] = "aporteID";
$proto6["m_srcTableName"] = "w_aporte_credito";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto8["m_sql"] = "`data`";
$proto8["m_srcTableName"] = "w_aporte_credito";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "investidor",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto10["m_sql"] = "investidor";
$proto10["m_srcTableName"] = "w_aporte_credito";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$proto13=array();
$proto13["m_functiontype"] = "SQLF_SUM";
$proto13["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "valor_credito",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto13["m_arguments"][]=$obj;
$proto13["m_strFunctionName"] = "sum";
$obj = new SQLFunctionCall($proto13);

$proto12["m_sql"] = "sum(valor_credito)";
$proto12["m_srcTableName"] = "w_aporte_credito";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "Aporte_credito";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "vencimento",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto15["m_sql"] = "vencimento";
$proto15["m_srcTableName"] = "w_aporte_credito";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "quitado",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto17["m_sql"] = "quitado";
$proto17["m_srcTableName"] = "w_aporte_credito";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "data_quitacao",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto19["m_sql"] = "data_quitacao";
$proto19["m_srcTableName"] = "w_aporte_credito";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "tb_aporte_fin";
$proto22["m_srcTableName"] = "w_aporte_credito";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "aporteID";
$proto22["m_columns"][] = "data";
$proto22["m_columns"][] = "investidor";
$proto22["m_columns"][] = "valor_credito";
$proto22["m_columns"][] = "vencimento";
$proto22["m_columns"][] = "quitado";
$proto22["m_columns"][] = "data_quitacao";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_sql"] = "tb_aporte_fin";
$proto21["m_alias"] = "";
$proto21["m_srcTableName"] = "w_aporte_credito";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = false;
$proto23["m_inBrackets"] = false;
$proto23["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto25=array();
						$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "w_aporte_credito"
));

$proto25["m_column"]=$obj;
$obj = new SQLGroupByItem($proto25);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="w_aporte_credito";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_w_aporte_credito = createSqlQuery_w_aporte_credito();


	
		;

							

$tdataw_aporte_credito[".sqlquery"] = $queryData_w_aporte_credito;

$tableEvents["w_aporte_credito"] = new eventsBase;
$tdataw_aporte_credito[".hasEvents"] = false;

?>